magnifying-glassGet currency exchange

Get Currency Exchange Rate

get

The exchange_rates endpoint allows you to get the exchange of any currency compared against USD. You need to specify a country ISO code and optionally an amount in USD. If no amount is specified, 1 USD will be assumed. Please find all the country codes in the Countries Specifications section.

Query parameters
countrystringRequired

Country ISO code in whose local currency the amount will be converted to. Please find all the country codes in the Countries Specifications section.

Example: BR
amountnumber · floatOptional

Amount to convert in USD. If none is specified, 1 will be assumed.

Default: 1Example: 10
Header parameters
Content-TypestringRequired

Media type of the body sent to the API.

Default: application/json
X-Datestring · date-timeRequired

ISO8601 Datetime with Timezone (e.g., 2023-05-20T15:30:00Z or 2023-05-20T12:30:00-03:00).

Example: 2024-05-23T10:30:00-03:00
X-LoginstringRequired

Merchant X-Login API Key.

AuthorizationstringRequired

Bearer token for authentication. Example: 'Bearer your_read_only_key_here'

X-Idempotency-KeystringOptional

Unique idempotency key for ensuring that the same request is not processed more than once.

Responses
chevron-right
200

Currency exchange correctly returned.

application/json

Schema for the successful currency exchange response.

fx_ratenumber · floatOptional

Currency exchange rate.

Example: 5.8829
currencystringOptional

Currency used for the conversion.

Example: BRL
converted_amountnumber · floatOptional

Amount resulting from multiplying the amount you sent with the fx_rate.

Example: 58.829
get
/v3/exchange_rates

Last updated

Was this helpful?